# Left Pad

> Left pad a string.


<section class="usage">

## Usage

``` javascript
var lpad = require( '@stdlib/string/left-pad' );
```

#### lpad( str, len\[, pad\] )

Left pads a `string` such that the padded `string` has a `length` of __at least__ `len`.


``` javascript
var str = lpad( 'a', 5 );
// returns '    a'
```

By default, an input `string` is padded with `spaces`. To pad with a different character or sequence of characters, provide a `pad` string.

``` javascript
var str = lpad( 'beep', 10, 'b' );
// returns 'bbbbbbbeep'

str = lpad( 'boop', 12, 'beep' );
// returns 'beepbeepboop'
```

</section>

<!-- /.usage -->


<section class="notes">

## Notes

* An output `string` is __not__ guaranteed to have a length of __exactly__ `len`, but to have a `length` of __at least__ `len`. To generate a padded `string` having a `length` equal to `len`

  ``` javascript
  var str = lpad( 'boop', 10, 'beep' );
  // returns 'beepbeepboop' => length 12

  str = str.substring( str.length-10 );
  // returns 'epbeepboop' => length 10
  ```

</section>

<!-- /.notes -->


<section class="examples">

## Examples

``` javascript
var round = require( '@stdlib/math/base/special/round' );
var randu = require( '@stdlib/math/base/random/randu' );
var lpad = require( '@stdlib/string/left-pad' );

var str = 'beep';
var n;
var i;

for ( i = 0; i < 100; i++ ) {
    n = round( randu()*10 ) + str.length;
    console.log( lpad( str, n, 'b' ) );
}
```

</section>

<!-- /.examples -->


---

<section class="cli">

## CLI


<section class="usage">

### Usage

``` bash
Usage: lpad [options] <string> --len <length>

Options:

  -h,    --help                Print this message.
  -V,    --version             Print the package version.
         --len length          Minimum string length.
         --pad str             String used to pad. Default: ' '.
```

</section>

<!-- /.usage -->


<section class="examples">

### Examples

``` bash
$ lpad beep --len 10 --pad b
bbbbbbbeep
```

</section>

<!-- /.examples -->

</section>

<!-- /.cli -->


<section class="links">

</section>

<!-- /.links -->
